- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::GUI::Controls::CScrollBarImages Class Reference

List of all members.

## Detailed Description

Images required by the scroll bars.

Scroll bars are made up of five distinct image parts
|--------------|
| TOP CAP |
|--------------|
| |
| |
| REPEAT |
| |
| |
|--------------|
| THUMB |
|--------------|
| |
| |
| REPEAT |
| |
| |
|--------------|
| BOTTOM CAP |
|--------------|
The Top Cap and Bottom Cap and Thumb are single images and are simply drawn im place as per any normal image
The repeat needs to be a small tileable graphic that will be repeated accross the remaining area to fill in the
gaps between top bottom and thumb.

Date:
  21/04/2005

Author:
  Paul Chana

Version:
  1.0.0 Initial version

  1.0.1 Update to suit new CScrollPanel

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CScrollBarImages.hpp,v 1.3 2007/02/08 21:07:54 paul Exp

Definition at line 64 of file CScrollBarImages.hpp.

## Public Member Functions

- CScrollBarImages ()
- bool drawScrollBarImages (CGraphics &graphics, const CRect &area, const bool isVertical)
- IImage * getBottomImage () const
- IImage * getRepeatImage () const
- IImage * getThumbImage () const
- IImage * getTopImage () const
- bool isValid ()
- void loadFromResourceFolder (const CSystemString &resourceFolder)
- CScrollBarImages & operator= (const CScrollBarImages &other)
- void setImages (IImage *topCap, IImage *bottomCap, IImage *thumb, IImage *repeat)
- virtual ~CScrollBarImages ()

## Protected Attributes

- IImage * m_bottomCap
- bool m_isValid
- IImage * m_repeat
- IImage * m_thumb
- IImage * m_topCap

## Constructor & Destructor Documentation

Exponent::GUI::Controls::CScrollBarImages::CScrollBarImages | ( |  | ) |

Construction

virtual Exponent::GUI::Controls::CScrollBarImages::~CScrollBarImages | ( |  | ) | `[virtual]`

Destruction

## Member Function Documentation

bool Exponent::GUI::Controls::CScrollBarImages::drawScrollBarImages | ( | CGraphics & | graphics,
|  | const CRect & | area,
|  | const bool | isVertical |
| ) |  |  |

Draw the scroll bar images

Parameters:

  | graphics | The graphics handle
  | area | The area to draw them in
  | isVertical | True if scroll bar is vertical, false otherwise

Return values:

  | bool | True if drawn properly, false otherwise

IImage* Exponent::GUI::Controls::CScrollBarImages::getBottomImage | ( |  | ) | const`[inline]`

Get the bottom image

Return values:

  | IImage* | The bottom image

Definition at line 133 of file CScrollBarImages.hpp.

References m_bottomCap.

IImage* Exponent::GUI::Controls::CScrollBarImages::getRepeatImage | ( |  | ) | const`[inline]`

Get the repeat image

Return values:

  | IImage* | The repeating part of the scroll bar

Definition at line 145 of file CScrollBarImages.hpp.

References m_repeat.

IImage* Exponent::GUI::Controls::CScrollBarImages::getThumbImage | ( |  | ) | const`[inline]`

Get the thumb image

Return values:

  | IImage* | The thumb (central) part

Definition at line 139 of file CScrollBarImages.hpp.

References m_thumb.

IImage* Exponent::GUI::Controls::CScrollBarImages::getTopImage | ( |  | ) | const`[inline]`

Get the top image

Return values:

  | IImage* | THe top cap

Definition at line 127 of file CScrollBarImages.hpp.

References m_topCap.

bool Exponent::GUI::Controls::CScrollBarImages::isValid | ( |  | ) |

Check if all the images are loaded

Return values:

  | bool | True if all images are valid

void Exponent::GUI::Controls::CScrollBarImages::loadFromResourceFolder | ( | const CSystemString & | resourceFolder | ) |

Load from resource folder

Parameters:

  | resourceFolder | The path to the folder to load from, expects to find Targa images named ScrollBarTopCap ScrollBarRepeat ScrollBarThumb ScrollBarEndCap

CScrollBarImages& Exponent::GUI::Controls::CScrollBarImages::operator= | ( | const CScrollBarImages & | other | ) |

Copy operator

void Exponent::GUI::Controls::CScrollBarImages::setImages | ( | IImage * | topCap,
|  | IImage * | bottomCap,
|  | IImage * | thumb,
|  | IImage * | repeat |
| ) |  |  |

Set the images

Parameters:

  | topCap | The top cap
  | bottomCap | The bottom cap
  | thumb | The central thumb image
  | repeat | The repeating part of the image

## Member Data Documentation

IImage* Exponent::GUI::Controls::CScrollBarImages::m_bottomCap`[protected]`

End cap - bottom / right

Definition at line 167 of file CScrollBarImages.hpp.

Referenced by getBottomImage().

bool Exponent::GUI::Controls::CScrollBarImages::m_isValid`[protected]`

All images loaded?

Definition at line 170 of file CScrollBarImages.hpp.

IImage* Exponent::GUI::Controls::CScrollBarImages::m_repeat`[protected]`

The repeat image

Definition at line 169 of file CScrollBarImages.hpp.

Referenced by getRepeatImage().

IImage* Exponent::GUI::Controls::CScrollBarImages::m_thumb`[protected]`

The thumb track image

Definition at line 168 of file CScrollBarImages.hpp.

Referenced by getThumbImage().

IImage* Exponent::GUI::Controls::CScrollBarImages::m_topCap`[protected]`

End cap - top / left

Definition at line 166 of file CScrollBarImages.hpp.

Referenced by getTopImage().